var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { forwardRef } from 'react';
import i18n from 'ui-i18n';
import classnames from 'classnames';
import EventBusyIcon from '@mui/icons-material/EventBusy';
import Tooltip from '@mui/material/Tooltip';
import { useColoredItemStyles } from './styles';
export var ColoredBlock = forwardRef(function (_a, ref) {
    var color = _a.color, opacity = _a.opacity, _b = _a.variant, variant = _b === void 0 ? 'standart' : _b, children = _a.children, className = _a.className, props = __rest(_a, ["color", "opacity", "variant", "children", "className"]);
    var styles = useColoredItemStyles({ color: color, opacity: opacity, variant: variant });
    return (React.createElement("div", __assign({ ref: ref, "data-reltio-id": "cw-colored-block", className: classnames(styles.item, className) }, props),
        children,
        variant === 'disabled' && (React.createElement(Tooltip, { title: i18n.text('End-dated crosswalk') },
            React.createElement(EventBusyIcon, { className: styles.endDatedCrosswalkIcon })))));
});
ColoredBlock.displayName = 'ColoredBlock';
